<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
		PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
		"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yifu.cloud.plus.v1.permission.mapper.EkpQiweiChuchaiMapper">

	<resultMap id="BaseResultMap" type="com.yifu.cloud.plus.v1.yifu.permission.entity.EkpQiwiChuchai">
		<id property="fdId" column="fd_ID" />
		<result property="fdSpNo" column="FD_SP_NO"/>
		<result property="fdApplyUserName" column="FD_APPLY_USER_NAME"/>
		<result property="fdApplyUserDept" column="FD_APPLY_USER_DEPT"/>
		<result property="fdApplyDate" column="FD_APPLY_DATE"/>
		<result property="fdNewBegin" column="FD_NEW_BEGIN"/>
		<result property="fdNewEnd" column="FD_NEW_END"/>
		<result property="fdReason" column="FD_REASON"/>
		<result property="fdPerson" column="FD_PERSON"/>
		<result property="fdAddress" column="FD_ADDRESS"/>
		<result property="fdOldAddress" column="FD_OLD_ADDRESS"/>
		<result property="fdTools" column="FD_TOOLS"/>
		<result property="fdAddressLevel" column="FD_ADDRESS_LEVEL"/>
		<result property="fdJiaoTong" column="FD_JIAO_TONG"/>
		<result property="fdCanYin" column="FD_CAN_YIN"/>
		<result property="fdRenShu" column="FD_REN_SHU"/>
		<result property="fdStatus" column="FD_STATUS"/>
		<result property="fdSettleFormId" column="FD_SETTLE_FORM_ID"/>
		<result property="createTime" column="create_time"/>
		<result property="fdDataSource" column="FD_DATA_SOURCE"/>
	</resultMap>

	<sql id="Base_Column_List">
		a.FD_ID,
		a.FD_SP_NO,
		a.FD_APPLY_USER_NAME,
		a.FD_APPLY_USER_DEPT,
		a.FD_APPLY_DATE,
		a.FD_NEW_BEGIN,
		a.FD_NEW_END,
		a.FD_REASON,
		a.FD_PERSON,
		a.FD_ADDRESS,
		a.FD_OLD_ADDRESS,
		a.FD_TOOLS,
		a.FD_ADDRESS_LEVEL,
		a.FD_JIAO_TONG,
		a.FD_CAN_YIN,
		a.FD_REN_SHU,
		a.FD_STATUS,
		a.FD_SETTLE_FORM_ID,
		a.create_time,
		a.FD_DATA_SOURCE
	</sql>
	<!--获取全部的，用来： 拉取企业微信时，不覆盖数据 -->
	<select id="getAllInfo" resultMap="BaseResultMap">
		SELECT
		<include refid="Base_Column_List"/>
		FROM ekp_qiwei_chuchai a
		<where>
			1=1
			<if test="status != null and status.trim() != ''">
				AND a.FD_STATUS = #{status}
			</if>
			and a.FD_APPLY_DATE >= #{queryStartTime} and a.FD_APPLY_DATE <![CDATA[<=]]> #{queryEndTime}
		</where>
	</select>

	<!--获取全部的，用来： 拉取企业微信时，不覆盖数据 -->
	<select id="getQiYeWeiXinUserList" resultType="com.yifu.cloud.plus.v1.yifu.permission.vo.QiWeiUserVo">
		SELECT USER_ID as userId,USER_NAME as userName FROM ekp_qiwei_user
	</select>

</mapper>
